#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long n, i;
    cin >> n;
    long long u[n], v[n];
    for(i = 0; i < n-1; i++)
        cin >> u[i] >> v[i];
        
    cout << 2;
    
    return 0;
}